# hyperscsi.spec Copyright (C) Data Storage Institute, Singapore
#
# RPM specification file to package HyperSCSI RedHat RPMs
#
# Please refer to the README files for more information. If any of these files
# are missing, please download a complete version from our website.
#
# http://nst.dsi.a-star.edu.sg/mcsa/hyperscsi/
#

Summary: iSCSI kernel module and utilities
Name: iscsitarget
Version: 0.4.14
Release: alt3
License: GPL
Group: System/Kernel and hardware
Source0: %{name}-%{version}.tar.gz
URL: http://iscsitarget.sf.net/
BuildPreReq: kernel-headers-modules-std-smp
###############BuildPreReq: kernel-source-2.6.16
Requires: kernel-image-std-smp
Requires: openssl iscsitarget-utils service
BuildPreReq: libssl-devel
Packager: Yury A. Romanov <damned@altlinux.ru>
%define kernelversion 2.6.18-std-smp
Patch0:ietd-0.4.14-makefile.patch
%description
The iSCSItarget package provides server kernel modules for the
iSCSI protocol, as well as utilities to configure the kernel modules.
iSCSI is a protocol that conveys SCSI protocol related command and
data over networks, especially over IP.

%package utils
Group: System/Kernel and hardware
Summary: iSCSI kernel utilities
%description utils
The iSCSItarget package provides server kernel modules for the
iSCSI protocol, as well as utilities to configure the kernel modules.
iSCSI is a protocol that conveys SCSI protocol related command and
data over networks, especially over IP.
This package provides utils to create an iSCSI storage


%package -n kernel-modules-%name-%kernelversion
Group: System/Kernel and hardware
Summary: iSCSI kernel modules
%description -n kernel-modules-%name-%kernelversion
The iSCSItarget package provides server kernel modules for the
iSCSI protocol, as well as utilities to configure the kernel modules.
iSCSI is a protocol that conveys SCSI protocol related command and
data over networks, especially over IP.
This package provides kernel modules to create an iSCSI storage.

%prep
%setup -q
%patch0 -p1

%build
make KSRC=/usr/src/linux-%kernelversion

%install
rm -rf $RPM_BUILD_ROOT
make DISTDIR=$RPM_BUILD_ROOT install

%clean
#rm -rf $RPM_BUILD_ROOT

%files utils
%defattr(-,root,root)
/etc/init.d/iscsi-target
/usr/sbin/*
%doc README doc/*

%files -n kernel-modules-%name-%kernelversion
/lib/modules/*

%changelog
* Wed Dec 20 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.14-alt3
- Some minor fixes 

* Wed Nov 08 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.14-alt2
- Correct build for Sisyphus.
- Rename of kernel module package

* Mon Oct 30 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.14-alt1
- New version

* Thu Oct 05 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.13-alt1
- Initial Build
